## refpolicy-ubuntu 0.2.20090324

=== Makefile ===
#
# Makefile for the security policy.
#
# Targets:
# 
# install       - compile and install the policy configuration, and context files.
# load          - compile, install, and load the policy configuration.
# reload        - compile, install, and load/reload the policy configuration.
# relabel       - relabel filesystems based on the file contexts configuration.
# checklabels   - check filesystems against the file context configuration
# restorelabels - check filesystems against the file context configuration
#                 and restore the label of files with incorrect labels
# policy        - compile the policy configuration locally for testing/development.
#
# The default target is 'policy'.
#
#
# Please see build.conf for policy build options.
#

########################################
#
# NO OPTIONS BELOW HERE
#

# Include the local build.conf if it exists, otherwise
# include the configuration of the root directory.
include build.conf

ifdef LOCAL_ROOT
	-include $(LOCAL_ROOT)/build.conf
endif

# refpolicy version
version = $(shell cat VERSION)

ifdef LOCAL_ROOT
builddir := $(LOCAL_ROOT)/
tmpdir := $(LOCAL_ROOT)/tmp
tags := $(LOCAL_ROOT)/tags
else
tmpdir := tmp
tags := tags
endif

# executable paths
BINDIR ?= /usr/bin
SBINDIR ?= /usr/sbin
ifdef TEST_TOOLCHAIN
tc_usrbindir := env LD_LIBRARY_PATH="$(TEST_TOOLCHAIN)/lib" $(TEST_TOOLCHAIN)$(BINDIR)
tc_usrsbindir := env LD_LIBRARY_PATH="$(TEST_TOOLCHAIN)/lib" $(TEST_TOOLCHAIN)$(SBINDIR)
tc_sbindir := env LD_LIBRARY_PATH="$(TEST_TOOLCHAIN)/lib" $(TEST_TOOLCHAIN)/sbin
else
tc_usrbindir := $(BINDIR)
tc_usrsbindir := $(SBINDIR)
tc_sbindir := /sbin
endif
CHECKPOLICY ?= $(tc_usrbindir)/checkpolicy
CHECKMODULE ?= $(tc_usrbindir)/checkmodule
SEMODULE ?= $(tc_usrsbindir)/semodule
SEMOD_PKG ?= $(tc_usrbindir)/semodule_package
SEMOD_LNK ?= $(tc_usrbindir)/semodule_link
SEMOD_EXP ?= $(tc_usrbindir)/semodule_expand
LOADPOLICY ?= $(tc_usrsbindir)/load_policy
SETFILES ?= $(tc_sbindir)/setfiles
XMLLINT ?= $(BINDIR)/xmllint
SECHECK ?= $(BINDIR)/sechecker

# interpreters and aux tools
AWK ?= gawk
GREP ?= egrep
INSTALL ?= install
M4 ?= m4
PYTHON ?= python
SED ?= sed
SORT ?= LC_ALL=C sort

CFLAGS += -Wall

# policy source layout
poldir := policy
moddir := $(poldir)/modules
flaskdir := $(poldir)/flask
secclass := $(flaskdir)/security_classes
isids := $(flaskdir)/initial_sids
avs := $(flaskdir)/access_vectors

# local source layout
ifdef LOCAL_ROOT
local_poldir := $(LOCAL_ROOT)/policy
local_moddir := $(local_poldir)/modules
endif

# policy building support tools
support := support
genxml := $(PYTHON) -E $(support)/segenxml.py
gendoc := $(PYTHON) -E $(support)/sedoctool.py
genperm := $(PYTHON) -E $(support)/genclassperms.py
fcsort := $(tmpdir)/fc_sort
setbools := $(AWK) -f $(support)/set_bools_tuns.awk
get_type_attr_decl := $(SED) -r -f $(support)/get_type_attr_decl.sed
comment_move_decl := $(SED) -r -f $(support)/comment_move_decl.sed
gennetfilter := $(PYTHON) -E $(support)/gennetfilter.py
m4iferror := $(support)/iferror.m4
# use our own genhomedircon to make sure we have a known usable one,
# so policycoreutils updates are not required (RHEL4)
genhomedircon := $(PYTHON) -E $(support)/genhomedircon

# documentation paths
docs := doc
xmldtd = $(docs)/policy.dtd
metaxml = metadata.xml
doctemplate = $(docs)/templates
docfiles = $(docs)/Makefile.example $(addprefix $(docs)/,example.te example.if example.fc)

ifndef LOCAL_ROOT
polxml = $(docs)/policy.xml
tunxml = $(docs)/global_tunables.xml
boolxml = $(docs)/global_booleans.xml
htmldir = $(docs)/html
else
polxml = $(LOCAL_ROOT)/doc/policy.xml
tunxml = $(LOCAL_ROOT)/doc/global_tunables.xml
boolxml = $(LOCAL_ROOT)/doc/global_booleans.xml
htmldir = $(LOCAL_ROOT)/doc/html
endif

# config file paths
globaltun = $(poldir)/global_tunables
globalbool = $(poldir)/global_booleans
rolemap = $(poldir)/rolemap
user_files := $(poldir)/users
policycaps := $(poldir)/policy_capabilities

# local config file paths
ifndef LOCAL_ROOT
mod_conf = $(poldir)/modules.conf
booleans = $(poldir)/booleans.conf
tunables = $(poldir)/tunables.conf
else
mod_conf = $(local_poldir)/modules.conf
booleans = $(local_poldir)/booleans.conf
tunables = $(local_poldir)/tunables.conf
endif

# install paths
PKGNAME ?= refpolicy-$(version)
prefix = $(DESTDIR)/usr
topdir = $(DESTDIR)/etc/selinux
installdir = $(topdir)/$(strip $(NAME))
srcpath = $(installdir)/src
userpath = $(installdir)/users
policypath = $(installdir)/policy
contextpath = $(installdir)/contexts
homedirpath = $(contextpath)/files/homedir_template
fcpath = $(contextpath)/files/file_contexts
ncpath = $(contextpath)/netfilter_contexts
sharedir = $(prefix)/share/selinux
modpkgdir = $(sharedir)/$(strip $(NAME))
headerdir = $(modpkgdir)/include
docsdir = $(prefix)/share/doc/$(PKGNAME)

# enable MLS if requested.
ifeq "$(TYPE)" "mls"
	M4PARAM += -D enable_mls
	CHECKPOLICY += -M
	CHECKMODULE += -M
	gennetfilter += -m
endif

# enable MLS if MCS requested.
ifeq "$(TYPE)" "mcs"
	M4PARAM += -D enable_mcs
	CHECKPOLICY += -M
	CHECKMODULE += -M
	gennetfilter += -c
endif

# enable distribution-specific policy
ifneq ($(DISTRO),)
	M4PARAM += -D distro_$(DISTRO)
endif

# rhel4 also implies redhat
ifeq "$(DISTRO)" "rhel4"
	M4PARAM += -D distro_redhat
endif

ifeq "$(DISTRO)" "ubuntu"
	M4PARAM += -D distro_debian
endif

ifneq ($(OUTPUT_POLICY),)
	CHECKPOLICY += -c $(OUTPUT_POLICY)
endif

# if not set, use the type as the name.
NAME ?= $(TYPE)

# default unknown permissions setting
#UNK_PERMS ?= deny

ifeq ($(DIRECT_INITRC),y)
	M4PARAM += -D direct_sysadm_daemon
endif

ifeq "$(UBAC)" "y"
	M4PARAM += -D enable_ubac
endif

# default MLS/MCS sensitivity and category settings.
MLS_SENS ?= 16
MLS_CATS ?= 256
MCS_CATS ?= 256

ifeq ($(QUIET),y)
	verbose = @
endif

M4PARAM += -D mls_num_sens=$(MLS_SENS) -D mls_num_cats=$(MLS_CATS) -D mcs_num_cats=$(MCS_CATS) -D hide_broken_symptoms

# we need exuberant ctags; unfortunately it is named
# differently on different distros
ifeq ($(DISTRO),debian)
	CTAGS := ctags-exuberant
endif

ifeq ($(DISTRO),gentoo)
	CTAGS := exuberant-ctags	
endif

CTAGS ?= ctags

m4support := $(wildcard $(poldir)/support/*.spt)
ifdef LOCAL_ROOT
m4support += $(wildcard $(local_poldir)/support/*.spt)
endif

appconf := config/appconfig-$(TYPE)
seusers := $(appconf)/seusers
appdir := $(contextpath)
user_default_contexts := $(wildcard config/appconfig-$(TYPE)/*_default_contexts)
user_default_contexts_names := $(addprefix $(contextpath)/users/,$(subst _default_contexts,,$(notdir $(user_default_contexts))))
appfiles := $(addprefix $(appdir)/,default_contexts default_type initrc_context failsafe_context userhelper_context removable_context dbus_contexts x_contexts customizable_types securetty_types) $(contextpath)/files/media $(user_default_contexts_names)
net_contexts := $(builddir)net_contexts

all_layers := $(shell find $(wildcard $(moddir)/*) -maxdepth 0 -type d)
ifdef LOCAL_ROOT
all_layers += $(shell find $(wildcard $(local_moddir)/*) -maxdepth 0 -type d)
endif

generated_te := $(basename $(foreach dir,$(all_layers),$(wildcard $(dir)/*.te.in)))
generated_if := $(basename $(foreach dir,$(all_layers),$(wildcard $(dir)/*.if.in)))
generated_fc := $(basename $(foreach dir,$(all_layers),$(wildcard $(dir)/*.fc.in)))

# sort here since it removes duplicates, which can happen
# when a generated file is already generated
detected_mods := $(sort $(foreach dir,$(all_layers),$(wildcard $(dir)/*.te)) $(generated_te))

modxml := $(addprefix $(tmpdir)/, $(detected_mods:.te=.xml))
layerxml := $(sort $(addprefix $(tmpdir)/, $(notdir $(addsuffix .xml,$(all_layers)))))
layer_names := $(sort $(notdir $(all_layers)))
all_metaxml = $(call detect-metaxml, $(layer_names))

# modules.conf setting for base module
configbase := base

# modules.conf setting for loadable module
configmod := module

# modules.conf setting for unused module
configoff := off

# test for module overrides from command line
mod_test = $(filter $(APPS_OFF), $(APPS_BASE) $(APPS_MODS))
mod_test += $(filter $(APPS_MODS), $(APPS_BASE))
ifneq "$(strip $(mod_test))" ""
        $(error Applications must be base, module, or off, and not in more than one list! $(strip $(mod_test)) found in multiple lists!)
endif

# add on suffix to modules specified on command line
cmdline_base := $(addsuffix .te,$(APPS_BASE))
cmdline_mods := $(addsuffix .te,$(APPS_MODS))
cmdline_off := $(addsuffix .te,$(APPS_OFF))

# extract settings from modules.conf
mod_conf_base := $(addsuffix .te,$(sort $(shell awk '/^[[:blank:]]*[[:alpha:]]/{ if ($$3 == "$(configbase)") print $$1 }' $(mod_conf) 2> /dev/null)))
mod_conf_mods := $(addsuffix .te,$(sort $(shell awk '/^[[:blank:]]*[[:alpha:]]/{ if ($$3 == "$(configmod)") print $$1 }' $(mod_conf) 2> /dev/null)))
mod_conf_off := $(addsuffix .te,$(sort $(shell awk '/^[[:blank:]]*[[:alpha:]]/{ if ($$3 == "$(configoff)") print $$1 }' $(mod_conf) 2> /dev/null)))

base_mods := $(cmdline_base)
mod_mods := $(cmdline_mods)
off_mods := $(cmdline_off)

base_mods += $(filter-out $(cmdline_off) $(cmdline_base) $(cmdline_mods), $(mod_conf_base))
mod_mods += $(filter-out $(cmdline_off) $(cmdline_base) $(cmdline_mods), $(mod_conf_mods))
off_mods += $(filter-out $(cmdline_off) $(cmdline_base) $(cmdline_mods), $(mod_conf_off))

# add modules not in modules.conf to the off list
off_mods += $(filter-out $(base_mods) $(mod_mods) $(off_mods),$(notdir $(detected_mods)))

# filesystems to be used in labeling targets
filesystems = $(shell mount | grep -v "context=" | egrep -v '\((|.*,)bind(,.*|)\)' | awk '/(ext[23]| xfs| jfs).*rw/{print $$3}';)

########################################
#
# Functions
#

# parse-rolemap-compat modulename,outputfile
define parse-rolemap-compat
	$(verbose) $(M4) $(M4PARAM) $(rolemap) | \
		$(AWK) '/^[[:blank:]]*[A-Za-z]/{ print "gen_require(type " $$3 "; role " $$1 ";)\n$1_per_userdomain_template(" $$2 "," $$3 "," $$1 ")" }' >> $2
endef

# parse-rolemap modulename,outputfile
define parse-rolemap
	$(verbose) $(M4) $(M4PARAM) $(rolemap) | \
		$(AWK) '/^[[:blank:]]*[A-Za-z]/{ print "gen_require(type " $$3 "; role " $$1 ";)\n$1_per_role_template(" $$2 "," $$3 "," $$1 ")" }' >> $2
endef

# perrole-expansion modulename,outputfile
define perrole-expansion
	$(verbose) echo "ifdef(\`""$1""_per_role_template',\`" > $2
	$(call parse-rolemap,$1,$2)
	$(verbose) echo "')" >> $2

	$(verbose) echo "ifdef(\`""$1""_per_userdomain_template',\`" >> $2
	$(verbose) echo "errprint(\`Warning: per_userdomain_templates have been renamed to per_role_templates (""$1""_per_userdomain_template)'__endline__)" >> $2
	$(call parse-rolemap-compat,$1,$2)
	$(verbose) echo "')" >> $2
endef

# create-base-per-role-tmpl modulenames,outputfile
define create-base-per-role-tmpl
	$(verbose) echo "define(\`base_per_role_template',\`" >> $2

	$(verbose) for i in $1; do \
		echo "ifdef(\`""$$i""_per_role_template',\`""$$i""_per_role_template("'$$*'")')" \
			>> $2 ;\
	done

	$(verbose) for i in $1; do \
		echo "ifdef(\`""$$i""_per_userdomain_template',\`" >> $2 ;\
		echo "errprint(\`Warning: per_userdomain_templates have been renamed to per_role_templates (""$$i""_per_userdomain_template)'__endline__)" >> $2 ;\
		echo """$$i""_per_userdomain_template("'$$*'")')"  >> $2 ;\
	done
	$(verbose) echo "')" >> $@

endef

# detect-metaxml layer_names
ifdef LOCAL_ROOT
define detect-metaxml
	$(shell for i in $1; do \
		if [ -d $(moddir)/$$i -a -d $(local_moddir)/$$i ]; then \
			if [ -f $(local_moddir)/$$i/$(metaxml) ]; then \
				echo $(local_moddir)/$$i/$(metaxml) ;\
			else \
				echo $(moddir)/$$i/$(metaxml) ;\
			fi \
		elif [ -d $(local_moddir)/$$i ]; then
			echo $(local_moddir)/$$i/$(metaxml) ;\
		else \
			echo $(moddir)/$$i/$(metaxml) ;\
		fi \
	done )
endef
else
define detect-metaxml
	$(shell for i in $1; do echo $(moddir)/$$i/$(metaxml); done)
endef
endif

########################################
#
# Load appropriate rules
#

ifeq ($(MONOLITHIC),y)
	include Rules.monolithic
else
	include Rules.modular
endif

########################################
#
# Generated files
#

## refpolicy-ubuntu 0.2.20091117

=== Makefile ===
--- 
+++ 
@@ -102,6 +102,8 @@
 comment_move_decl := $(SED) -r -f $(support)/comment_move_decl.sed
 gennetfilter := $(PYTHON) -E $(support)/gennetfilter.py
 m4iferror := $(support)/iferror.m4
+m4divert := $(support)/divert.m4
+m4undivert := $(support)/undivert.m4
 # use our own genhomedircon to make sure we have a known usable one,
 # so policycoreutils updates are not required (RHEL4)
 genhomedircon := $(PYTHON) -E $(support)/genhomedircon
@@ -231,10 +233,11 @@
 
 CTAGS ?= ctags
 
-m4support := $(wildcard $(poldir)/support/*.spt)
+m4support := $(m4divert) $(wildcard $(poldir)/support/*.spt)
 ifdef LOCAL_ROOT
 m4support += $(wildcard $(local_poldir)/support/*.spt)
 endif
+m4support += $(m4undivert)
 
 appconf := config/appconfig-$(TYPE)
 seusers := $(appconf)/seusers
@@ -300,7 +303,8 @@
 off_mods += $(filter-out $(base_mods) $(mod_mods) $(off_mods),$(notdir $(detected_mods)))
 
 # filesystems to be used in labeling targets
-filesystems = $(shell mount | grep -v "context=" | egrep -v '\((|.*,)bind(,.*|)\)' | awk '/(ext[23]| xfs| jfs).*rw/{print $$3}';)
+filesystems = $(shell mount | grep -v "context=" | egrep -v '\((|.*,)bind(,.*|)\)' | awk '/(ext[234]|btrfs| xfs| jfs).*rw/{print $$3}';)
+fs_names := "btrfs ext2 ext3 ext4 xfs jfs"
 
 ########################################
 #
@@ -374,16 +378,3 @@
 
 ########################################
 #
-# Load appropriate rules
-#
-
-ifeq ($(MONOLITHIC),y)
-	include Rules.monolithic
-else
-	include Rules.modular
-endif
-
-########################################
-#
-# Generated files
-#

=== debian/changelog ===
refpolicy-ubuntu (0.2.20091117-0ubuntu2) precise; urgency=low

  * fix-ftbfs.patch: Fix build failures from new checkpolicy (LP: #935407)

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 18 Apr 2012 01:08:52 -0500

refpolicy-ubuntu (0.2.20091117-0ubuntu1) lucid; urgency=low

  * New upstream release, converted to source format 3.
  * Updated Ubuntu-specific patches thanks to Steve Lawrence (LP: #568744).
  * Extracted Makefile change to debian/patches/bashisms.patch.

 -- Kees Cook <kees@ubuntu.com>  Thu, 22 Apr 2010 17:10:43 -0700

refpolicy-ubuntu (0.2.20090730-0ubuntu3) lucid; urgency=low

  * devtmpfs.patch: allow /dev to be devtmpfs (LP: #556823).

 -- Kees Cook <kees@ubuntu.com>  Tue, 06 Apr 2010 14:23:17 -0700

refpolicy-ubuntu (0.2.20090730-0ubuntu2) lucid; urgency=low

  * Fixes minor typo in debian/control (LP: #487779)

 -- arky <rakesh_ambati@yahoo.com>  Thu, 11 Feb 2010 15:33:55 +0530

refpolicy-ubuntu (0.2.20090730-0ubuntu1) karmic; urgency=low

  * Updated to upstream release 2.20090730
  * Handle Upstart direct execution of daemons.
  * Pre-depend on selinux to ensure that the trigger is handled (LP: #434084).

 -- Caleb Case <ccase@tresys.com>  Mon, 19 Oct 2009 01:48:39 -0400

refpolicy-ubuntu (0.2.20090324-0ubuntu2) jaunty; urgency=low

  * debian/control: Conflict, Replace, and Provides: selinux-policy-default
    (LP: #360727).

 -- Kees Cook <kees@ubuntu.com>  Mon, 13 Apr 2009 14:41:33 -0700

refpolicy-ubuntu (0.2.20090324-0ubuntu1) jaunty; urgency=low

  * Updated to upstream trunk r2936
  * Forced symlink creation in /etc/selinux.d/refpolicy
  * Enabled alsa module
  * Enabled fstools module
  * Package renamed to refpolicy-ubuntu to avoid conflict with debian package
    (LP: #352801).

 -- Marshall Miller <mmiller@tresys.com>  Tue, 24 Mar 2009 02:17:01 -0400

refpolicy (0.2.20081210-0ubuntu1) jaunty; urgency=low

  * Updated to upstream release 2.20081210
  * Removed the dbus optional elses (dbus policy is always installed now)
  * Removed the -cups and -unconfined packages as they are not needed to
    maintain flexibility in which modules are installed. You can still removed
    them or override via /etc/selinux.d
  * Changed -dev Recommend: setools to a Suggest

 -- Caleb Case <ccase@tresys.com>  Fri, 13 Mar 2009 02:48:01 -0400

refpolicy (0.0.20071214-0ubuntu3) hardy; urgency=low

  * debian/patches/cups.patch 
  * debian/patches/files.patch
  * debian/patches/lpd.patch
    - Allow cups to use dhcp.
    - Allow most accesses necessary for cups-pdf.
    - Allow cups access to dbus when no dbus policy is loaded.
  * debian/patches/init.patch
  * debian/patches/ssh.patch
    - Allow init to change oom priority of sshd.
  * debian/patches/unconfined.patch 
  * debian/patches/users.patch
    - Allowing unconfined_r system_r and access to run_init so that unconfined
      root user's can start/stop/restart services via init scripts 
      (LP: #202983, #209773, #211305, #216132)

 -- Caleb Case <ccase@tresys.com>  Tue, 25 Mar 2008 16:42:08 -0400

refpolicy (0.0.20071214-0ubuntu2) hardy; urgency=low

  * debian/patches/conf.patch
    - Adding root to config/appconfig-standard/seusers so that its home
      directory will get labeled correctly.

 -- Caleb Case <ccase@tresys.com>  Fri, 29 Feb 2008 12:31:15 -0500

refpolicy (0.0.20071214-0ubuntu1) hardy; urgency=low

  [ Caleb Case ]
  * New upstream SVN HEAD.
   - Labeled networking peer object class updates.
   - Patch for debian logrotate to handle syslogd-listfiles, from Vaclav Ovsik.
   - Improve several tunables descriptions from Dan Walsh.
   - Patch to clean up ns switch usage in the policy from Dan Walsh.
   - More complete labeled networking infrastructure from KaiGai Kohei.
   - Add interface for libselinux constructor, for libselinux-linked
     SELinux-enabled programs.
   - Patch to restructure user role templates to create restricted user roles
     from Dan Walsh.
   - Russian man page translations from Andrey Markelov.
   - Remove unused types from dbus.
   - Add infrastructure for managing all user web content.
   - Deprecate some old file and dir permission set macros in favor of the
     newer, more consistently-named macros.
   - Patch to clean up unescaped periods in several file context entries from
     Jan-Frode Myklebust.
   - Merge shlib_t into lib_t.
   - Merge strict and targeted policies.  The policy will now behave like the
     strict policy if the unconfined module is not present.  If it is, it will
     behave like the targeted policy.  Added an unconfined role to have a mix
     of confined and unconfined users.
   - Added modules:
   	exim (Dan Walsh)
   	postfixpolicyd (Jan-Frode Myklebust)
   - Add support for setting the unknown permissions handling.
   - Fix XML building for external reference builds and headers builds.
   - Patch to add missing requirements in userdomain interfaces from Shintaro
     Fujiwara.
   - Add tcpd_wrapped_domain() for services that use tcp wrappers.
   - Update MLS constraints from LSPP evaluated policy.
   - Allow initrc_t file descriptors to be inherited regardless of MLS level.
     Accordingly drop MLS permissions from daemons that inherit from any level.
   - Files and radvd updates from Stefan Schulze Frielinghaus.
   - Deprecate mls_file_write_down() and mls_file_read_up(), replaced with
     mls_write_all_levels() and mls_read_all_levels(), for consistency.
   - Add make kernel and init ranged interfaces pass the range transition MLS
     constraints.  Also remove calls to mls_rangetrans_target() in modules that 
     use the kernel and init interfaces, since its redundant.
   - Add interfaces for all MLS attributes except X object classes.
   - Require all sensitivities and categories for MLS and MCS policies, not just
     the low and high sensitivity and category.
   - Database userspace object manager classes from KaiGai Kohei.
   - Add third-party interface for Apache CGI.
   - Add getserv and shmemserv nscd permissions.


=== debian/control ===
Source: refpolicy-ubuntu
Section: admin
Priority: optional
Maintainer: Ubuntu Hardened Developers <ubuntu-hardened@lists.ubuntu.com>
XSBC-Original-Maintainer: Caleb Case <ccase@tresys.com>
Build-Depends: cdbs, debhelper (>= 7), policycoreutils (>= 2.0.35), checkpolicy (>= 2.0.7), python, m4, bzip2, gawk
Standards-Version: 3.8.4
Homepage: http://oss.tresys.com/projects/refpolicy

Package: selinux-policy-ubuntu
Architecture: all
Pre-Depends: selinux, policycoreutils (>= 2.0.35)
Depends: python, checkpolicy (>= 2.0.7), gawk, ${misc:Depends}
Provides: selinux-policy, selinux-policy-default
Conflicts: selinux-policy-default
Replaces: selinux-policy-default
Description: Security-Enhanced Linux Reference Policy
  The SELinux Reference Policy project (refpolicy) is a complete SELinux policy
  that can be used as the system policy for a variety of systems and used as the
  basis for creating other policies. Reference Policy was originally based on
  the NSA example policy, but aims to accomplish many additional goals:
    + Strong Modularity
    + Security Goals
    + Documentation
    + Development Tool Support
    + Forward Looking
    + Configurability
    + Flexible Base Policy
    + Application Policy Variations
    + Multi-Level Security

Package: selinux-policy-ubuntu-dev
Architecture: all
Depends: python, policycoreutils (>= 2.0.35), checkpolicy (>= 2.0.7), gawk, ${misc:Depends}
Suggests: setools
Description: Security-Enhanced Linux Reference Policy Development Headers
  The SELinux Reference Policy project (refpolicy) is a complete SELinux policy
  that can be used as the system policy for a variety of systems and used as the
  basis for creating other policies. Reference Policy was originally based on
  the NSA example policy, but aims to accomplish many additional goals:
    + Strong Modularity
    + Security Goals
    + Documentation
    + Development Tool Support
    + Forward Looking
    + Configurability
    + Flexible Base Policy
    + Application Policy Variations
    + Multi-Level Security
 .
 This package provides the header files for building your own SELinux Refpolicy
 packages.

Package: selinux-policy-ubuntu-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Security-Enhanced Linux Reference Policy Documentation
  The SELinux Reference Policy project (refpolicy) is a complete SELinux policy
  that can be used as the system policy for a variety of systems and used as the
  basis for creating other policies. Reference Policy was originally based on
  the NSA example policy, but aims to accomplish many additional goals:
    + Strong Modularity
    + Security Goals
    + Documentation
    + Development Tool Support
    + Forward Looking
    + Configurability
    + Flexible Base Policy
    + Application Policy Variations
    + Multi-Level Security
 .
 This package contains the documentation for SELinux Reference Policy.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.

DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = xml
DEB_MAKE_INSTALL_TARGET = DESTDIR=$(CURDIR)/debian/tmp install install-headers install-docs
DEB_MAKE_CHECK_TARGET = 

DEB_COMPRESS_EXCLUDE = .py
